%define pd_version 0.41.4

%define idelay_revision 3621
%define idelay_version 0.0
%define idelay_svndate 20090721.180620

Summary: Interpolating delay line external for Pd
Name: pd-idelay
Version: %{idelay_version}
Release: 0.1.svn%{idelay_revision}%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://puredata.info/Members/thomas/idelay/
Source0: idelay-%{idelay_version}-svn%{idelay_revision}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

ExcludeArch: x86_64

Requires: pd-extended >= %{pd_version}

BuildRequires: pd-flext-devel

%description
This external object for Pure Data and Max/MSP implements an
interpolating audio delay line. In contrast to the delwrite~/vd~
combination used in Pd or similar constructs in Max/MSP sub-blocksize
delay times can be reliably realized independent of unpredictable DSP
chain ordering.

%prep
%setup -q -n idelay-%{idelay_version}

%build
# remove all .svn directories
find . -type d -name .svn | xargs %{__rm} -rf

# go and build
bash %{_libdir}/flext/build.sh pd gcc SHARED=true

%install
%{__rm} -rf %{buildroot}

# install in the right place
bash %{_libdir}/flext/build.sh pd gcc SHARED=true install INSTPATH=%{buildroot}%{_libdir}/pd/extra

# install help and examples
mkdir -p %{buildroot}%{_libdir}/pd/doc/5.reference/idelay
install -m 0644 *pd %{buildroot}%{_libdir}/pd/doc/5.reference/idelay/

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/pd/extra/idelay~.pd_linux
%{_libdir}/pd/doc/5.reference/idelay

%changelog
* Tue Jul 21 2009 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.0-0.1.svn3621
- initial build, used to be part of pd-extended
